Subject: [Dtls-iot] Secure Time

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 15 Jul 2015 13:23:31 +0200

Stephen wrote:

(9) 14: And also - if you RECOMMEND to sometimes use
ServerHello.Random for "secure time" then don't you have
to say that that's only to be used after one has
verified the server cert/knowledge-of-PSK or something?
Otherwise any old fake server could send me a time value
then bail on the handshake, and I might set my clock to
that. (The bad effect there is not related to
certificate revocation btw, but more e.g. DoS for sleepy
nodes or application layer nastiness.)

I believe that this is what mathewson-no-gmtunixtime said. I will
double-check but depending on the outcome of the discussion on issue 31
http://trac.tools.ietf.org/wg/dice/trac/ticket/31
this new issue might not need any additional text...